<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('all_countries', function (Blueprint $table) {
            $table->id();
            $table->integer('s_no');
            $table->string('country_name');
            $table->string('country_code');
            $table->string('capital');
            $table->enum('dst', ['Never','Using','Closed']);
            $table->enum('timezone_count', ['Single','Multiple']);
            $table->string('timezone_name');
            $table->string('zone_plus_minus');
            $table->string('longitude_zone');
            $table->decimal('timezone', 4, 2);
            $table->string('latitude_zone');
            $table->string('east_west');
            $table->string('related_country');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('all_countries');
    }
};
