<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('kundli', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('day');
            $table->string('month');
            $table->string('year');
            $table->string('hour');
            $table->string('minute');
            $table->string('second');
            $table->integer('locality_id');
            $table->integer('state_id');
            $table->integer('city_id');
            $table->decimal('latitude', 10, 8);
            $table->decimal('longitude', 11, 8);
            $table->integer('ayanamsa');
            $table->integer('created_by');
            $table->integer('country_id');
            $table->integer('directory_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('kundli');
    }
};
